Vehicle History Finder
Run Vehicle History Finder VIN collector
POST
/
tools
/
vehicle-history-finder
/
vin
curl --request POST \
--url https://api.osint.ly/tools/vehicle-history-finder/vin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "AB-123-CD",
"type": "plate_fr"
}
'
{
"data": {
"dimensions": {
"gcwr": null,
"gvwr": "Class 1C: 4,001 - 5,000 lb (1,814 - 2,268 kg)",
"wheelBaseLong": null,
"wheelBaseShort": null
},
"drivetrain": {
"driveType": null,
"transmission": "Automatic",
"transmissionSpeeds": "5"
},
"electric": null,
"engine": {
"cylinders": "6",
"displacementCC": "2998.832712",
"displacementCI": "183",
"displacementL": "2.998832712",
"fuelPrimary": "Gasoline",
"fuelSecondary": null,
"hpMax": null,
"hpMin": "240",
"manufacturer": null,
"model": "J30A4",
"turbo": null
},
"errorCode": "0",
"errorText": "0 - VIN decoded clean. Check Digit (9th position) is correct",
"identity": {
"bodyClass": "Coupe",
"doors": "2",
"make": "HONDA",
"makeId": "474",
"manufacturer": "AMERICAN HONDA MOTOR CO., INC.",
"manufacturerCommon": null,
"model": "Accord",
"series": null,
"trim": "EX-V6",
"vehicleType": "PASSENGER CAR",
"year": "2003"
},
"plant": {
"city": "MARYSVILLE",
"company": null,
"country": "UNITED STATES (USA)",
"state": "OHIO"
},
"safety": {
"abs": null,
"airBagCurtain": "1st and 2nd Rows",
"airBagFront": "1st Row (Driver and Passenger)",
"airBagKnee": null,
"airBagSide": "1st Row (Driver and Passenger)",
"autoReverse": null,
"blindSpotMon": null,
"dynamicBrakeSupport": null,
"esc": null,
"forwardCollisionWarning": null,
"laneDepartureWarning": null,
"laneKeepSystem": null,
"notes": null,
"pedestrianAEB": null,
"pretensioner": null,
"safeAutomationLevel": null,
"seatBelts": "Manual",
"tcs": null,
"tpms": null
},
"suggestedVIN": null,
"vin": "1HGCM82633A004352"
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "vin",
"query": {
"normalizedType": "vin",
"type": "vin",
"value": "1HGCM82633A004352"
},
"tool": "vehicle-history-finder"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Body
application/json
Was this page helpful?
⌘I
curl --request POST \
--url https://api.osint.ly/tools/vehicle-history-finder/vin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "AB-123-CD",
"type": "plate_fr"
}
'
{
"data": {
"dimensions": {
"gcwr": null,
"gvwr": "Class 1C: 4,001 - 5,000 lb (1,814 - 2,268 kg)",
"wheelBaseLong": null,
"wheelBaseShort": null
},
"drivetrain": {
"driveType": null,
"transmission": "Automatic",
"transmissionSpeeds": "5"
},
"electric": null,
"engine": {
"cylinders": "6",
"displacementCC": "2998.832712",
"displacementCI": "183",
"displacementL": "2.998832712",
"fuelPrimary": "Gasoline",
"fuelSecondary": null,
"hpMax": null,
"hpMin": "240",
"manufacturer": null,
"model": "J30A4",
"turbo": null
},
"errorCode": "0",
"errorText": "0 - VIN decoded clean. Check Digit (9th position) is correct",
"identity": {
"bodyClass": "Coupe",
"doors": "2",
"make": "HONDA",
"makeId": "474",
"manufacturer": "AMERICAN HONDA MOTOR CO., INC.",
"manufacturerCommon": null,
"model": "Accord",
"series": null,
"trim": "EX-V6",
"vehicleType": "PASSENGER CAR",
"year": "2003"
},
"plant": {
"city": "MARYSVILLE",
"company": null,
"country": "UNITED STATES (USA)",
"state": "OHIO"
},
"safety": {
"abs": null,
"airBagCurtain": "1st and 2nd Rows",
"airBagFront": "1st Row (Driver and Passenger)",
"airBagKnee": null,
"airBagSide": "1st Row (Driver and Passenger)",
"autoReverse": null,
"blindSpotMon": null,
"dynamicBrakeSupport": null,
"esc": null,
"forwardCollisionWarning": null,
"laneDepartureWarning": null,
"laneKeepSystem": null,
"notes": null,
"pedestrianAEB": null,
"pretensioner": null,
"safeAutomationLevel": null,
"seatBelts": "Manual",
"tcs": null,
"tpms": null
},
"suggestedVIN": null,
"vin": "1HGCM82633A004352"
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "vin",
"query": {
"normalizedType": "vin",
"type": "vin",
"value": "1HGCM82633A004352"
},
"tool": "vehicle-history-finder"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}